# SPDX-License-Identifier: Unlicense
# SPDX-FileCopyrightText: 2021, Vieno Hakkerinen <vieno@hakkerinen.eu>
---
- name: assert requirements are met
  ansible.builtin.assert:
    that:
      - acme_dns_provider is defined
      - acme_domains is defined
      - acme_email is defined
      - acme_server is defined
- name: import generic install tasks
  ansible.builtin.import_tasks: install_generic.yml
  when: ansible_distribution != "FreeBSD" or
    ( ansible_distribution == "Debian" and
    ansible_distribution_version|int < 11 )
- name: import Debian bullseye (and newer) specific tasks
  ansible.builtin.import_tasks: install_Debian.yml
  when: ansible_distribution == "Debian" and
    ansible_distribution_version|int >= 11
- name: generic setup
  ansible.builtin.import_tasks: setup_generic.yml
  when: ansible_distribution != "FreeBSD"

# FreeBSD has a proper package with user and cronjob
- name: import FreeBSD specific tasks
  ansible.builtin.import_tasks: FreeBSD.yml
  when: ansible_distribution == "FreeBSD"
